Skip to main content
DELETE
/
customers
/
{customer_id}
/
payment_methods
/
{payment_method_id}
Delete payment method
curl --request DELETE \
  --url https://api.zenskar.com/customers/{customer_id}/payment_methods/{payment_method_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required
payment_method_id
string<uuid>
required

Response

Successful Response

Delete Payment Method Response Schema

id
string<uuid>
required

Zenskar Payment Method Id

customer_id
string<uuid>
required

Customer Id

external_id
string
required

External Payment Method Id

status
string
required

Deletion Status